# Displaying the Document Type Properties

You might have noticed that the content we've added to the homepage is not being displayed. We need to wire up the Data Type properties to the template.

Let’s look at our template and identify where the content should be displayed.

![Where our Data Properties Content Should be Output](/files/EUlxYsIDxDfGoFsqz7vO)

The top arrow in this image is the *Page Title* and the bottom arrow is the *Body Text*. The Footer is all the way at the bottom of the page.

## Setting the Document Type Properties

To set the Document Type properties:

1. Go to **Settings**.
2. Select **Templates** in the **Templating** section, and open the **Homepage** template.
3. Scroll down to the `<!-- Jumbotron, w title -->` section (around line 46) and highlight the text `“Welcome - UmbracoTV”` (around line 49).

   ![Replace page Title value](/files/n6ume0qjArXbhFEk5C6t)
4. Click **Insert** and select **Value**.
5. Select **pageTitle** field from the drop-down list.

   ![Page Title field](/files/z5iZetp1Bc4eTxDz36xv)
6. Click **Submit**.
7. Repeat the same process for the content between the `<div class="container">` tags (around line 61 to 78):
   * Highlight the content as shown in the figure.

     ![Replace Body Text value](/files/BHvxoHBsbiqZT0P5wxH1)
   * Click **Insert** and select **Value**.
   * Select **bodyText** field from the drop-down list.
   * Click **Submit**.
8. Repeat the same process for the content in the `<div class="container-fluid footer">` tag (around line 149 to 182):
   * Highlight the content between the `<div class="container">` tags.

     ![Replace Footer Text value](/files/Z6AzMI2e1SFsE1VEVwUI)
   * Click **Insert** and select **Value**.
   * Select **footerText** field from the drop-down list.
   * Click **Submit**.
9. Click **Save**.

Reload your homepage to view the content. You should see something similar like the image below:

![Displaying Document Type Properties](/files/LeKIhoruZBFtSypwT5Jy)

Now, you can go back and add additional fields or update existing fields in the Document Type. Fill them out in the content node and then add them in the template to display the data in the website.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.umbraco.com/umbraco-cms/13.latest/tutorials/creating-a-basic-website/displaying-the-document-type-properties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
